Is the CA DADS Plus for CICS r4.0 SVC downward compatible with earlier maintenance levels?

Document ID : KB000019265
Last Modified Date : 14/02/2018
Show Technical Document Details

Description:

The client is planning to migrate from CICS TS 3.2 to CICS TS 5.1 in a couple of months. To prepare for the CICS TS 5.1 upgrade the client would like to apply the CICS TS 5.1 compatible fix RO53206 while still running CICS TS 3.2. After applying fix RO53206 you are required to relink and install the CA DADS plus for CICS SVC. Not all the CICS regions can be converted at the same time. So some CICS regions will be at the latest CICS TS 5.1 maintenance level andsome will be running the previous maintenance level.

Solution:

The latest CA DADS Plus SVC OSISVC load module is provided with fix level RO53206. This PTF is downward compatible with the RO10396 fix level for allsupported CICS releases. You cannot attempt to use

OPTION2 DFHRPL LIBRARIES MANAGEMENT OR
OPTION3 MODULE OVERRIDES MANAGEMENT

For CICS TS 5.1 with an older version of the OSISVC load module as this will cause severe errors in CICS. For additional information please see the fulldescription of fix RO53206.